<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("MB3_PLAYLIST_FILE", "playlist.xml");
define("MB3_AUTOPLAY", "yes");
define("MB3_PLAYER_SKIN", "");
define("MB3_PLAYER_WIDTH", 240);
define("MB3_PLAYER_HEIGHT", 64);
define("MB3_PLAYER_FILE", "webplayer.swf");

define("MB3_PLAYER_NAME", "WebPlayer");
define("MB3_PLAYER_MAKER", "WebMinster");
define("MB3_PLAYER_WEB", "http://www.webminster.de/webplayer/");

function create_playlist_content(){
	$MUSICBOX3_PLAYLIST = make_mb3_playlist();
	$content = "<?xml version='1.0' encoding='UTF-8'?>\n";
	$content .= "<!DOCTYPE playlist SYSTEM 'http://www.webminster.de/ext/xml/webplayer/playlist.dtd'>\n<playlist name='' basedir='' xmlns='http://www.webminster.de/ext/xml/webplayer'>\n";
	foreach ($MUSICBOX3_PLAYLIST as $track) $content .= "<file src='".stripinput($track['path'])."' />\n";
	$content .= "</playlist>\n";
	return $content;
}

function create_musicbox_player_html(){
	return str_replace(
		array('%FILE%', '%WIDTH%', '%HEIGHT%', '%FLASH_VARS%'),
		array(MB3_PLAYER_FILE, MB3_PLAYER_WIDTH, MB3_PLAYER_HEIGHT, "<param name='flashvars' value='src=".MB3_PLAYLIST_FILE."&amp;autostart=".MB3_AUTOPLAY."&amp;loop=yes&amp;debug=no' />"),
		MUSICBOX_PLAYER_HTML
	);
}
?>