<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."musicbox3_panel/infusion_db.php";

if (file_exists(INFUSIONS."musicbox3_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."musicbox3_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."musicbox3_panel/locale/English.php";
}

$inf_title = "".$locale['mb3_000']."";
$inf_description = "";
$inf_version = "3.0 beta 7";
$inf_developer = "Gander";
$inf_email = "kontakt@myfusion.pl";
$inf_weburl = "http://www.myfusion.pl";

$inf_folder = "musicbox3_panel";

$inf_newtable[1] = DB_MB3_PLAYLIST." (
  track_id smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  track_artist varchar(50) NOT NULL,
  track_title varchar(100) NOT NULL,
  track_path varchar(255) NOT NULL,
  track_order smallint(3) unsigned NOT NULL,
  track_status tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (track_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_MB3_PLAYLIST." (track_artist, track_title, track_path, track_order, track_status) VALUES ('', '', '', '')";

$inf_droptable[1] = DB_MB3_PLAYLIST;

$inf_adminpanel[1] = array(
	"title" => "".$locale['mb3_001']."",
	"image" => "infusion_panel.gif",
	"panel" => "musicbox3_admin.php",
	"rights" => "MB3"
);

?>