<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once INFUSIONS."musicbox3_panel/musicbox3_playlist.php";
require_once INFUSIONS."musicbox3_panel/musicbox3_settings.php";
require_once INFUSIONS."musicbox3_panel/xml2array.php";
require_once MB3_PLAYER_BASEDIR."player.php";

if (defined("FP_GW")){
	if(isset($GLOBALS['HTTP_RAW_POST_DATA'])) {
		$wddx=xml2array($GLOBALS['HTTP_RAW_POST_DATA']);
	} elseif (isset($HTTP_RAW_POST_DATA)) {
		$wddx=xml2array($HTTP_RAW_POST_DATA);
	} else {
		$wddx=xml2array(file_get_contents('php://input'));
	}

	if (isset($wddx['wddxPacket'])) {
		$MUSICBOX3_PLAYLIST = make_mb3_playlist();
		if ($wddx['wddxPacket']['data']['struct']['var'][1]['string']=="get_music_list"){
			
			$packet =  "<wddxPacket version='1.0'>".
							"<header/>".
							"<data>".
								"<struct>".
									"<var name='cNames'>".
										"<array length='3'>".
											"<string>id_music</string>".
											"<string>name_artist</string>".
											"<string>title_music</string>".
										"</array>".
									"</var>".
									
									"<var name='musics'>".
										"<array length='".count($MUSICBOX3_PLAYLIST)."'>";
			// wddx_add_vars
			foreach ($MUSICBOX3_PLAYLIST as $idx=>$track) {
				$packet .= "<array length='3'>";
					$packet .= "<string>".$idx."</string>";
					$packet .= "<string>".rawurlencode($track['artist'])."</string>";
					$packet .= "<string>".rawurlencode($track['title'])."</string>";
				$packet .= "</array>";
			}
			
			// wddx_packet_end							
			$packet .= "</array></array></var></struct></data></wddxPacket>";
			
			print $packet;
		}
		if ($wddx['wddxPacket']['data']['struct']['var'][1]['string']=="get_music_details"){
			$track = $MUSICBOX3_PLAYLIST[$wddx['wddxPacket']['data']['struct']['var'][0]['struct']['var']['string']];
			
			$link_start = strtolower(substr($track['path'], 0, 6));
			if ($link_start == "http:/" || $link_start == "ftp://" || $link_start == "https:") {
				$link_filename = substr(strrchr($track['path'],"/"), 1);
				$link_filename_url = rawurldecode(stripslashes($link_filename));
				$link_base = substr($track['path'], 0, strlen($track['path']) - strlen($link_filename));
				
				if ( @fopen($link_base.rawurlencode($link_filename_url), "rb")) {
					@fclose($link_base.rawurlencode($link_filename_url));
					$file_reachable = true;
				} else {
					$file_reachable = false;
				}				
			} else {
				if ( @fopen($MUSICBOX3_PLAYLIST_dir.$track['path'], "rb")) {
					@fclose($MUSICBOX3_PLAYLIST_dir.$track['path']);
					$file_reachable = true;
				} else {
					$file_reachable = false;
				}				
			}
			if ($file_reachable == false) { $track["title"] = "fp_error_file_unavailable"; }
				
				$packet =  "<wddxPacket version='1.0'>".
								"<header/>".
								"<data>".
									"<struct>".
										"<var name='music'>".
											"<struct>";
				
				$packet .= "<var name='id_music'><string>".$wddx['wddxPacket']['data']['struct']['var'][0]['struct']['var']['string']."</string></var>";
				$packet .= "<var name='fk_artist'><string>1</string></var>";
				$packet .= "<var name='title_music'><string>".rawurlencode($track['title'])."</string></var>";
				$packet .= "<var name='filename_music'><string>".rawurlencode($track['path'])."</string></var>";
				$packet .= "<var name='playlist_music'><string>default_playlist</string></var>";
				$packet .= "<var name='date_music'><string>2008-08-13 18:09:56</string></var>";
				$packet .= "<var name='active_music'><string>active_music</string></var>";
				$packet .= "<var name='id_artist'><string>1</string></var>";
				$packet .= "<var name='name_artist'><string>". rawurlencode($track['artist']) ."</string></var>";
				$packet .= "<var name='email_artist'><string></string></var>";
				$packet .= "<var name='website_artist'><string></string></var>";
				
				$packet .= "</struct></var></struct></data></wddxPacket>";
				print $packet;
		}
	}
} else {
	echo str_replace(
		array('%FILE%', '%WIDTH%', '%HEIGHT%', '%FLASH_VARS%'),
		array(MB3_PLAYER_FILE, MB3_PLAYER_WIDTH, MB3_PLAYER_HEIGHT, "<param name='flashvars' value='playlistPath=".MB3_PLAYLIST_FILE."&amp;autoPlay=".MB3_AUTOPLAY."&amp;playerSkin=".MB3_PLAYER_SKIN."' />"),
		MUSICBOX_PLAYER_HTML
	);
}
?>