<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("MB3_PLAYLIST_FILE", "playlist.xml");
define("MB3_AUTOPLAY", "true");
define("MB3_PLAYER_LOOP", "true");
define("MB3_PLAYER_WIDTH", 300);
define("MB3_PLAYER_HEIGHT", 300);
define("MB3_PLAYER_FILE", "OriginalMusicPlayerPlaylist.swf");

define("MB3_PLAYER_NAME", "Multiple Tracks Flash mp3 Player With Menu");
define("MB3_PLAYER_MAKER", "PremiumBeat");
define("MB3_PLAYER_WEB", "http://www.premiumbeat.com/flash_resources/free_flash_music_player/");

function create_playlist_content(){
	$MUSICBOX3_PLAYLIST = make_mb3_playlist();
	$content = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<playlist>\n";
	foreach ($MUSICBOX3_PLAYLIST as $track) $content .= "<item><title>".$track['title']."</title><artist>".$track['artist']."</artist><path>".$track['path']."</path></item>\n";
	$content .= "</playlist>\n";
	return $content;
}

function create_musicbox_player_html(){
	return str_replace(
		array('%FILE%', '%WIDTH%', '%HEIGHT%', '%FLASH_VARS%'),
		array(MB3_PLAYER_FILE, MB3_PLAYER_WIDTH, MB3_PLAYER_HEIGHT, "<param name='flashvars' value='playlistXmlPath=".MB3_PLAYLIST_FILE."&amp;autoPlay=".MB3_AUTOPLAY."&amp;loopPlaylist=".MB3_PLAYER_LOOP."' />"),
		MUSICBOX_PLAYER_HTML
	);
}
?>