<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("MB3_PLAYLIST_FILE", "playlist.xml");
define("MB3_AUTOPLAY", "true");
define("MB3_PLAYER_SKIN", "");
define("MB3_PLAYER_WIDTH", 269);
define("MB3_PLAYER_HEIGHT", 226);
define("MB3_PLAYER_FILE", "ep_player.swf");

define("MB3_PLAYER_NAME", "Flash MP3 Player (Nobius Blue)");
define("MB3_PLAYER_MAKER", "E-Phonic");
define("MB3_PLAYER_WEB", "http://www.e-phonic.com/mp3player/");

function create_playlist_content(){
	$MUSICBOX3_PLAYLIST = make_mb3_playlist();
	$content = "<?xml version='1.0' encoding='UTF-8'?><playlist version='1' xmlns = 'http://xspf.org/ns/0/'><trackList>\n";
	foreach ($MUSICBOX3_PLAYLIST as $track) $content .= "<track><location>".$track['path']."</location><title>".$track['title']."</title><creator>".$track['artist']."</creator></track>\n";
	$content .= "</trackList></playlist>\n";
	return $content;
}

function create_musicbox_player_html(){
	return str_replace(
		array('%FILE%', '%WIDTH%', '%HEIGHT%', '%FLASH_VARS%'),
		array(MB3_PLAYER_FILE, MB3_PLAYER_WIDTH, MB3_PLAYER_HEIGHT, "<param name='flashvars' value='skin=skin.xml&amp;playlist=".MB3_PLAYLIST_FILE."&amp;autoplay=".MB3_AUTOPLAY."&amp;shuffle=false&amp;repeat=true&amp;buffertime=1' />"),
		MUSICBOX_PLAYER_HTML
	);
}
?>