<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."musicbox3_panel/infusion_db.php";
require_once INFUSIONS."musicbox3_panel/musicbox3_settings.php";

if (file_exists(INFUSIONS."musicbox3_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."musicbox3_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."musicbox3_panel/locale/English.php";
}

if (file_exists(MB3_PLAYER_BASEDIR."index.php") && file_exists(MB3_PLAYER_BASEDIR."player.php")) {
	require_once MB3_PLAYER_BASEDIR."player.php";
	
	add_to_head("<script type='text/javascript' src='".INFUSIONS."musicbox3_panel/script.js'></script>");
	openside("".$locale['mb3_001']."");
	echo "<div style='text-align:center'><a href='".MB3_PLAYER_BASEDIR."' target='_blank' onClick='return startMusicBox3(this.href, ".MB3_PLAYER_WIDTH.", ".MB3_PLAYER_HEIGHT.")'><img src='".INFUSIONS."musicbox3_panel/play.gif' alt='".$locale['mb3_052']."' border='0' /></a></div>\n";
	closeside();
}


?>