<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright &#352; 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: MusicBox
| Version: 3.00 beta 7
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."musicbox3_panel/infusion_db.php";

function make_mb3_playlist($allStatus=false){
	$MUSICBOX3_PLAYLIST = array();
	
	$result = dbquery("SELECT track_id, track_artist, track_title, track_path FROM ".DB_MB3_PLAYLIST.($allStatus ? "" : " WHERE track_status='1'")." ORDER BY track_order ASC");
	if (dbrows($result)){
		while ($data = dbarray($result)){
			$MUSICBOX3_PLAYLIST[$data['track_id']] = array('artist'=>$data['track_artist'], 'title'=>$data['track_title'], 'path'=>$data['track_path']);
		}
	} else {
		$MUSICBOX3_PLAYLIST[0] = array('artist'=>'playlist', 'title'=>'empty', 'path'=>'blank.mp3');
	}
	
	return $MUSICBOX3_PLAYLIST;
}

function get_mb3_playlist($content, $filename="playlist.xml"){
	while (@ob_end_clean());
	header('Content-Description: File Transfer');
	header('Content-Type: text/xml; charset=utf-8');
	header('Content-Disposition: attachment; filename='.$filename);
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
	header('Content-Length: '.strlen($content));
	flush();
	print($content);
	exit();
}

?>
